GSLB

Overview

SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.

본 가이드는 GSLB 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.

Version

VersionStatusSupported Until
1.0SUPPORTED20260531
1.1CURRENT-

OpenAPI URL

https://gslb.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - CreateGslb

1.1.1 - 1.1

post /v1/gslbs

Description

GSLB 생성

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

GslbCreateRequestV1Dot1

Responses

HTTP CodeDescriptionSchema
202AcceptedGslbShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = gslb 1.1"

Request body

{
    "algorithm": "",
    "description": "",
    "env_usage": "",
    "health_check": {
        "health_check_interval": "",
        "health_check_probe_timeout": "",
        "health_check_user_id": "",
        "health_check_user_password": "",
        "protocol": "",
        "receive_string": "",
        "send_string": "",
        "service_port": "",
        "timeout": ""
    },
    "name": "",
    "resources": [
        {
            "description": "",
            "destination": "",
            "region": "",
            "weight": 0
        }
    ],
    "tags": []
}

Example HTTP response

Response 202

{
    "gslb": {
        "algorithm": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "env_usage": "",
        "health_check": {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_interval": "",
            "health_check_probe_timeout": "",
            "health_check_user_id": "",
            "health_check_user_password": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "protocol": "",
            "receive_string": "",
            "send_string": "",
            "service_port": "",
            "timeout": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "linked_resource_count": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": ""
    }
}

1.1.2 - 1.0

post /v1/gslbs

Description

GSLB 생성

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

GslbCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedGslbShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = gslb 1.0"

Request body

{
    "algorithm": "",
    "description": "",
    "env_usage": "",
    "health_check": {
        "health_check_interval": "",
        "health_check_probe_timeout": "",
        "health_check_user_id": "",
        "health_check_user_password": "",
        "protocol": "",
        "receive_string": "",
        "send_string": "",
        "service_port": "",
        "timeout": ""
    },
    "name": "",
    "resources": [
        {
            "description": "",
            "destination": "",
            "disabled": false,
            "region": "",
            "weight": 0
        }
    ],
    "tags": []
}

Example HTTP response

Response 202

{
    "gslb": {
        "algorithm": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "env_usage": "",
        "health_check": {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_interval": "",
            "health_check_probe_timeout": "",
            "health_check_user_id": "",
            "health_check_user_password": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "protocol": "",
            "receive_string": "",
            "send_string": "",
            "service_port": "",
            "timeout": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "linked_resource_count": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": ""
    }
}

1.2 - DeleteGslb

1.2.1 - 1.1

delete /v1/gslbs/{gslb_id}

Description

GSLB 삭제

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathgslb_id
required
The GSLB ID.
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedGslbShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/{gslb_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = gslb 1.1"

Example HTTP response

Response 202

{
    "gslb": {
        "algorithm": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "env_usage": "",
        "health_check": {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_interval": "",
            "health_check_probe_timeout": "",
            "health_check_user_id": "",
            "health_check_user_password": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "protocol": "",
            "receive_string": "",
            "send_string": "",
            "service_port": "",
            "timeout": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "linked_resource_count": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": ""
    }
}

1.2.2 - 1.0

delete /v1/gslbs/{gslb_id}

Description

GSLB 삭제

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
pathgslb_id
required
The GSLB ID.
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedGslbShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/{gslb_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = gslb 1.0"

Example HTTP response

Response 202

{
    "gslb": {
        "algorithm": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "env_usage": "",
        "health_check": {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_interval": "",
            "health_check_probe_timeout": "",
            "health_check_user_id": "",
            "health_check_user_password": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "protocol": "",
            "receive_string": "",
            "send_string": "",
            "service_port": "",
            "timeout": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "linked_resource_count": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": ""
    }
}

1.3 - ListGslbResources

1.3.1 - 1.1

get /v1/gslbs/{gslb_id}/resources

Description

GSLB Resource 목록 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathgslb_id
required
The GSLB ID.
Example :
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKGslbResourceListResponseV1Dot1
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/{gslb_id}/resources

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = gslb 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "gslb_resources": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "destination": "",
            "health_check_status": "CONNECTED",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "region": "",
            "status": "ENABLE",
            "weight": 0
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.3.2 - 1.0

get /v1/gslbs/{gslb_id}/resources

Description

GSLB Resource 목록 조회

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
pathgslb_id
required
The GSLB ID.
Example :
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKGslbResourceListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/{gslb_id}/resources

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = gslb 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "gslb_resources": [
        {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "destination": "",
            "disabled": false,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "region": "",
            "weight": 0
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.4 - ListGslbs

1.4.1 - 1.1

get /v1/gslbs

Description

GSLB 목록 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querystate
optional
GSLB 상태.
Example :
any of [string, null]None
queryname
optional
GSLB 이름
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKGslbListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = gslb 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "gslbs": [
        {
            "algorithm": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "env_usage": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "linked_resource_count": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "state": ""
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.4.2 - 1.0

get /v1/gslbs

Description

GSLB 목록 조회

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querystate
optional
GSLB 상태.
Example :
any of [string, null]None
queryname
optional
GSLB 이름
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKGslbListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = gslb 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "gslbs": [
        {
            "algorithm": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "env_usage": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "linked_resource_count": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "state": ""
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.5 - ListGslbsRegionalRoutingControl

1.5.1 - 1.1

get /v1/gslbs/routing-control

Description

GSLB Region 별 Resource 목록 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryregion
optional
GSLB Resource 위치
Example :
any of [string, null]None
querystatus
optional
GSLB Resource 사용 여부
Example :
any of [string, null]None
queryname
optional
GSLB 이름
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKGslbRoutingControlListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/routing-control

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = gslb 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "regional_gslbs": [
        {
            "algorithm": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "env_usage": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "linked_regional_resource_count": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "region": "",
            "status": ""
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.6 - SetGslb

1.6.1 - 1.1

put /v1/gslbs/{gslb_id}

Description

GSLB 수정

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathgslb_id
required
The GSLB ID.
Example :
stringNone
bodybody
required

GslbSetRequest

Responses

HTTP CodeDescriptionSchema
200OKGslbShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/{gslb_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = gslb 1.1"

Request body

{
    "algorithm": "",
    "description": ""
}

Example HTTP response

Response 200

{
    "gslb": {
        "algorithm": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "env_usage": "",
        "health_check": {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_interval": "",
            "health_check_probe_timeout": "",
            "health_check_user_id": "",
            "health_check_user_password": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "protocol": "",
            "receive_string": "",
            "send_string": "",
            "service_port": "",
            "timeout": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "linked_resource_count": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": ""
    }
}

1.6.2 - 1.0

put /v1/gslbs/{gslb_id}

Description

GSLB 수정

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
pathgslb_id
required
The GSLB ID.
Example :
stringNone
bodybody
required

GslbSetRequest

Responses

HTTP CodeDescriptionSchema
200OKGslbShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/{gslb_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = gslb 1.0"

Request body

{
    "algorithm": "",
    "description": ""
}

Example HTTP response

Response 200

{
    "gslb": {
        "algorithm": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "env_usage": "",
        "health_check": {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_interval": "",
            "health_check_probe_timeout": "",
            "health_check_user_id": "",
            "health_check_user_password": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "protocol": "",
            "receive_string": "",
            "send_string": "",
            "service_port": "",
            "timeout": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "linked_resource_count": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": ""
    }
}

1.7 - SetGslbHealthCheck

1.7.1 - 1.1

put /v1/gslbs/{gslb_id}/health-check

Description

GSLB Health Check 수정

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathgslb_id
required
The GSLB ID.
Example :
stringNone
bodybody
required

GslbHealthCheck

Responses

HTTP CodeDescriptionSchema
202AcceptedGslbShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/{gslb_id}/health-check

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = gslb 1.1"

Request body

{
    "health_check_interval": "",
    "health_check_probe_timeout": "",
    "health_check_user_id": "",
    "health_check_user_password": "",
    "protocol": "",
    "receive_string": "",
    "send_string": "",
    "service_port": "",
    "timeout": ""
}

Example HTTP response

Response 202

{
    "gslb": {
        "algorithm": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "env_usage": "",
        "health_check": {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_interval": "",
            "health_check_probe_timeout": "",
            "health_check_user_id": "",
            "health_check_user_password": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "protocol": "",
            "receive_string": "",
            "send_string": "",
            "service_port": "",
            "timeout": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "linked_resource_count": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": ""
    }
}

1.7.2 - 1.0

put /v1/gslbs/{gslb_id}/health-check

Description

GSLB Health Check 수정

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
pathgslb_id
required
The GSLB ID.
Example :
stringNone
bodybody
required

GslbHealthCheck

Responses

HTTP CodeDescriptionSchema
202AcceptedGslbShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/{gslb_id}/health-check

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = gslb 1.0"

Request body

{
    "health_check_interval": "",
    "health_check_probe_timeout": "",
    "health_check_user_id": "",
    "health_check_user_password": "",
    "protocol": "",
    "receive_string": "",
    "send_string": "",
    "service_port": "",
    "timeout": ""
}

Example HTTP response

Response 202

{
    "gslb": {
        "algorithm": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "env_usage": "",
        "health_check": {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_interval": "",
            "health_check_probe_timeout": "",
            "health_check_user_id": "",
            "health_check_user_password": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "protocol": "",
            "receive_string": "",
            "send_string": "",
            "service_port": "",
            "timeout": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "linked_resource_count": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": ""
    }
}

1.8 - SetGslbRegionalRoutingControl

1.8.1 - 1.1

put /v1/gslbs/{gslb_id}/routing-control

Description

GSLB Regional Routing 수정

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathgslb_id
required
The GSLB ID.
Example :
stringNone
bodybody
required

GslbRoutingControlRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedGslbRoutingControlResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/{gslb_id}/routing-control

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = gslb 1.1"

Request body

{
    "region": "",
    "status": ""
}

Example HTTP response

Response 202

{
    "regional_gslb": {
        "algorithm": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "env_usage": "",
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "linked_regional_resource_count": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "region": "",
        "status": ""
    }
}

1.9 - SetGslbResources

1.9.1 - 1.1

put /v1/gslbs/{gslb_id}/resources

Description

GSLB Resource 수정

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathgslb_id
required
The GSLB ID.
Example :
stringNone
bodybody
required

GslbResourcesSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedGslbShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/{gslb_id}/resources

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = gslb 1.1"

Request body

{
    "resources": [
        {
            "description": "",
            "destination": "",
            "region": "",
            "weight": 0
        }
    ]
}

Example HTTP response

Response 202

{
    "gslb": {
        "algorithm": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "env_usage": "",
        "health_check": {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_interval": "",
            "health_check_probe_timeout": "",
            "health_check_user_id": "",
            "health_check_user_password": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "protocol": "",
            "receive_string": "",
            "send_string": "",
            "service_port": "",
            "timeout": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "linked_resource_count": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": ""
    }
}

1.9.2 - 1.0

put /v1/gslbs/{gslb_id}/resources

Description

GSLB Resource 수정

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
pathgslb_id
required
The GSLB ID.
Example :
stringNone
bodybody
required

GslbResourceSetRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedGslbShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/{gslb_id}/resources

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = gslb 1.0"

Request body

{
    "resources": [
        {
            "description": "",
            "destination": "",
            "disabled": false,
            "region": "",
            "weight": 0
        }
    ]
}

Example HTTP response

Response 202

{
    "gslb": {
        "algorithm": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "env_usage": "",
        "health_check": {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_interval": "",
            "health_check_probe_timeout": "",
            "health_check_user_id": "",
            "health_check_user_password": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "protocol": "",
            "receive_string": "",
            "send_string": "",
            "service_port": "",
            "timeout": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "linked_resource_count": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": ""
    }
}

1.10 - ShowGslb

1.10.1 - 1.1

get /v1/gslbs/{gslb_id}

Description

GSLB 상세 조회

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathgslb_id
required
The GSLB ID.
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKGslbShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/{gslb_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = gslb 1.1"

Example HTTP response

Response 200

{
    "gslb": {
        "algorithm": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "env_usage": "",
        "health_check": {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_interval": "",
            "health_check_probe_timeout": "",
            "health_check_user_id": "",
            "health_check_user_password": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "protocol": "",
            "receive_string": "",
            "send_string": "",
            "service_port": "",
            "timeout": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "linked_resource_count": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": ""
    }
}

1.10.2 - 1.0

get /v1/gslbs/{gslb_id}

Description

GSLB 상세 조회

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
pathgslb_id
required
The GSLB ID.
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKGslbShowResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/gslbs/{gslb_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = gslb 1.0"

Example HTTP response

Response 200

{
    "gslb": {
        "algorithm": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "description": "",
        "env_usage": "",
        "health_check": {
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "health_check_interval": "",
            "health_check_probe_timeout": "",
            "health_check_user_id": "",
            "health_check_user_password": "",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "protocol": "",
            "receive_string": "",
            "send_string": "",
            "service_port": "",
            "timeout": ""
        },
        "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
        "linked_resource_count": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "name": "",
        "state": ""
    }
}

2 - Models

2.1 - GslbCreateRequest

NameDescriptionSchemaDefault
algorithm
required
The GSLB Algorithm.
Example :
string
description
optional
설명
Example :
any of [string, null]
env_usage
required
GSLB 용도
Example :
string
health_check
optional
GSLB 헬스 체크.
any of [GslbHealthCheck, null]
name
required
GSLB 이름
Example :
string
resources
required

array[GslbResource]
tags
optional
태그 목록
array[Tag]

2.2 - GslbCreateRequestV1Dot1

NameDescriptionSchemaDefault
algorithm
required
The GSLB Algorithm.
Example :
string
description
optional
설명
Example :
any of [string, null]
env_usage
required
GSLB 용도
Example :
string
health_check
optional
GSLB 헬스 체크.
any of [GslbHealthCheck, null]
name
required
GSLB 이름
Example :
string
resources
required

array[GslbResourceV1Dot1]
tags
optional
태그 목록
array[Tag]

2.3 - GslbDetail

NameDescriptionSchemaDefault
algorithm
required
The GSLB Algorithm.
Example :
string
created_at
required
생성 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
생성자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
description
optional
설명
Example :
any of [string, null]
env_usage
required
GSLB 용도
Example :
string
health_check
required

any of [GslbHeathCheckShowResponse, null]
id
required
ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
linked_resource_count
required
GSLB 연결 대상
Example :
integer
modified_at
required
수정 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
수정자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
required
GSLB 이름
Example :
string
state
required
GSLB 상태.
Example :
string

2.4 - GslbHealthCheck

NameDescriptionSchemaDefault
health_check_interval
optional
The GSLB Health Check Interval.
Example :
any of [integer, null]
health_check_probe_timeout
optional
The GSLB Health Check Probe Timeout.
Example :
any of [integer, null]
health_check_user_id
optional
The GSLB Health Check User Name.
Example :
any of [string, null]
health_check_user_password
optional
The GSLB Health Check Password.
Example :
any of [string, null]
protocol
required
The GSLB Health Check Protocol.
Example :
string
receive_string
optional
The GSLB Health Check Receive String.
Example :
any of [string, null]
send_string
optional
The GSLB Health Check Send String.
Example :
any of [string, null]
service_port
optional
The GSLB Health Check Service Port.
Example :
any of [integer, null]
timeout
optional
The GSLB Health Check Timeout.
Example :
any of [integer, null]

2.5 - GslbHeathCheckShowResponse

NameDescriptionSchemaDefault
created_at
required
생성 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
생성자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
health_check_interval
optional
The GSLB Health Check Interval.
Example :
any of [integer, null]
health_check_probe_timeout
optional
The GSLB Health Check Probe Timeout.
Example :
any of [integer, null]
health_check_user_id
optional
The GSLB Health Check User Name.
Example :
any of [string, null]
health_check_user_password
optional
The GSLB Health Check Password.
Example :
any of [string, null]
id
required
ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
modified_at
required
수정 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
수정자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
protocol
required
The GSLB Health Check Protocol.
Example :
string
receive_string
optional
The GSLB Health Check Receive String.
Example :
any of [string, null]
send_string
optional
The GSLB Health Check Send String.
Example :
any of [string, null]
service_port
optional
The GSLB Health Check Service Port.
Example :
any of [integer, null]
timeout
optional
The GSLB Health Check Timeout.
Example :
any of [integer, null]

2.6 - GslbListResponse

NameDescriptionSchemaDefault
count
required
count
Example : 20
integer
gslbs
required

array[GslbResponseCommon]
page
required
page
Example : 0
integer
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

2.7 - GslbResource

NameDescriptionSchemaDefault
description
optional
설명
Example :
any of [string, null]
destination
required
GSLB Resource 목적지.
Example :
string
disabled
optional
GSLB Resource 사용 여부.
Example : False
any of [boolean, null]
region
required
GSLB Resource 위치
Example :
string
weight
optional
GSLB Resource 가중치.
Example : 0
any of [integer, null]

2.8 - GslbResourceListResponse

NameDescriptionSchemaDefault
count
required
count
Example : 20
integer
gslb_resources
required

array[GslbResourceResponse]
page
required
page
Example : 0
integer
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

2.9 - GslbResourceListResponseV1Dot1

NameDescriptionSchemaDefault
count
required
count
Example : 20
integer
gslb_resources
required

array[GslbResourceResponseV1Dot1]
page
required
page
Example : 0
integer
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

2.10 - GslbResourceResponse

NameDescriptionSchemaDefault
created_at
required
생성 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
생성자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
description
optional
설명
Example :
any of [string, null]
destination
required
GSLB Resource 목적지.
Example :
string
disabled
optional
GSLB Resource 사용 여부.
Example : False
any of [boolean, null]
id
required
ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
modified_at
required
수정 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
수정자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
region
required
GSLB Resource 위치
Example :
string
weight
optional
GSLB Resource 가중치.
Example : 0
any of [integer, null]

2.11 - GslbResourceResponseV1Dot1

NameDescriptionSchemaDefault
created_at
required
생성 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
생성자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
description
optional
설명
Example :
any of [string, null]
destination
required
GSLB Resource 목적지.
Example :
string
health_check_status
required
GSLB Resource 연결 상태
Example : CONNECTED
enum (CONNECTED, DISCONNECTED)
id
required
ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
modified_at
required
수정 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
수정자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
region
required
GSLB Resource 위치
Example :
string
status
required
GSLB Resource 사용 여부
Example : ENABLE
enum (ENABLE, DISABLE)
weight
optional
GSLB Resource 가중치.
Example : 0
any of [integer, null]

2.12 - GslbResourceSetRequest

NameDescriptionSchemaDefault
resources
required

array[GslbResource]

2.13 - GslbResourceSetRequestV1Dot1

NameDescriptionSchemaDefault
description
optional
설명
Example :
any of [string, null]
destination
required
GSLB Resource 목적지.
Example :
string
region
required
GSLB Resource 위치
Example :
string
weight
optional
GSLB Resource 가중치.
Example : 0
any of [integer, null]

2.14 - GslbResourcesSetRequest

NameDescriptionSchemaDefault
resources
required

array[GslbResourceSetRequestV1Dot1]

2.15 - GslbResourceV1Dot1

NameDescriptionSchemaDefault
description
optional
설명
Example :
any of [string, null]
destination
required
GSLB Resource 목적지.
Example :
string
region
required
GSLB Resource 위치
Example :
string
weight
optional
GSLB Resource 가중치.
Example : 0
any of [integer, null]

2.16 - GslbResponseCommon

NameDescriptionSchemaDefault
algorithm
required
The GSLB Algorithm.
Example :
string
created_at
required
생성 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
생성자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
description
optional
설명
Example :
any of [string, null]
env_usage
required
GSLB 용도
Example :
string
id
required
ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
linked_resource_count
required
GSLB 연결 대상
Example :
integer
modified_at
required
수정 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
수정자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
required
GSLB 이름
Example :
string
state
required
GSLB 상태.
Example :
string

2.17 - GslbRoutingControlListResponse

NameDescriptionSchemaDefault
count
required
count
Example : 20
integer
page
required
page
Example : 0
integer
regional_gslbs
required

array[GslbRoutingControlResponseCommon]
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

2.18 - GslbRoutingControlRequest

NameDescriptionSchemaDefault
region
required
GSLB Resource 위치
Example :
string
status
required
GSLB Resource 사용 여부
Example :
string

2.19 - GslbRoutingControlResponse

NameDescriptionSchemaDefault
regional_gslb
required

GslbRoutingControlResponseCommon

2.20 - GslbRoutingControlResponseCommon

NameDescriptionSchemaDefault
algorithm
required
The GSLB Algorithm.
Example :
string
created_at
required
생성 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
생성자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
description
optional
설명
Example :
any of [string, null]
env_usage
required
GSLB 용도
Example :
string
id
required
ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
linked_regional_resource_count
required
GSLB 위치별 연결 대상
Example :
integer
modified_at
required
수정 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
수정자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
required
GSLB 이름
Example :
string
region
required
GSLB Resource 위치
Example :
string
status
required
GSLB Resource 사용 여부
Example :
string

2.21 - GslbSetRequest

NameDescriptionSchemaDefault
algorithm
optional
The GSLB Algorithm.
Example :
any of [string, null]
description
optional
설명
Example :
any of [string, null]

2.22 - GslbShowResponse

NameDescriptionSchemaDefault
gslb
required

GslbDetail

2.23 - Tag

NameDescriptionSchemaDefault
key
required
tag key
Example :
string
value
required
tag value
Example :
string